html {
  -ms-touch-action: none;
}

body, canvas, div {
  display: block;
  outline: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);

  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  -khtml-user-select: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

/* Remove spin of input type number */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

body {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 0;
  border: 0;
  margin: 0;

  cursor: default;
  color: #888;
  background-color: #ffffff;

  text-align: center;
  font-family: Helvetica, Verdana, Arial, sans-serif;

  display: flex;
  flex-direction: column;
}

#Cocos2dGameContainer {
  position: absolute;
  margin: 0;
  left: 0px;
  top: 0px;

  display: -webkit-box;
  -webkit-box-orient: horizontal;
  -webkit-box-align: center;
  -webkit-box-pack: center;
}

canvas {
  background-color: rgba(0, 0, 0, 0);
}

a:link, a:visited {
  color: #666;
}

a:active, a:hover {
  color: #666;
}

p.header {
  font-size: small;
}

p.footer {
  font-size: x-small;
}

#splash {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background:rgba(255, 255, 255, 1) url(./splash.4bb63.png) no-repeat center;
  /* background-size: contain; */
  background-size: auto 25%;
}

@media (min-width: 1024px) {
  #splash {
    background-size: auto 100%;
  } 
}

.progress-bar {
    background-color: rgb(221, 221, 221);
    position: absolute;
    left: 25%;
    /* top: 80%; */
    top: 80%;
    height: 3%;
    /* padding: 5px; */
    width: 50%;
    /*margin: 0 -175px;         */
    /* border-radius: 5px; */
    box-shadow: 0px 2px 5px -2px rgba(0,0,0,0.84);
}

.progress-bar span {
    display: block;
    height: 100%;
    /* border-radius: 3px; */
    /* box-shadow: 0 1px 0 rgba(255, 255, 255, .5) inset; */
    transition: width .4s ease-in-out;
    background-color: rgba(255, 147, 0, 1);
}

.stripes span {
    background-size: 30px 30px;
    background-image: linear-gradient(135deg, rgba(255, 255, 255, .15) 25%, transparent 25%,
                        transparent 50%, rgba(255, 255, 255, .15) 50%, rgba(255, 255, 255, .15) 75%,
                        transparent 75%, transparent);

    animation: animate-stripes 1s linear infinite;
}

@keyframes animate-stripes {
    0% {background-position: 0 0;} 100% {background-position: 60px 0;}
}

.pwa-install-prompt__container {
  display: flex;
  align-items: center;
  box-sizing: border-box;
  height: 100%;
  justify-content: center;
  left: -999em;
  padding: 30px;
  position: fixed;
  top: -999em;
  transition: left 0s 0.15s, top 0s 0.15s, visibility 0s 0.15s;
  visibility: hidden;
  width: 100%;
  z-index: 100000;
}

.pwa-install-prompt__container.is-active {
  left: 0;
  top: 0;
  transition: none;
  visibility: visible;
}

.pwa-install-prompt__overlay {
  background: rgba(0,0,0,0.5);
  border: 0;
  height: 100%;
  left: 0;
  opacity: 0;
  position: absolute;
  text-indent: -999em;
  top: 0;
  transition: opacity 0.15s;
  width: 100%;
  z-index: 0;
}

.pwa-install-prompt__container.is-active .pwa-install-prompt__overlay {
  opacity: 1;
}

.pwa-install-prompt {
  background: #FFF;
  border-radius: 2px;
  box-shadow: 0px 4px 8px rgba(0,0,0,0.125);
  box-sizing: border-box;
  color: #424242;
  font-family: sans-serif;
  max-width: 320px;
  opacity: 0;
  position: relative;
  text-align: center;
  transform: translateY(25%);
  transition: opacity 0.15s, transform 0.15s ease-in-out;
  z-index: 1;
}

.pwa-install-prompt__container.is-active .pwa-install-prompt {
  opacity: 1;
  transform: translateY(0%);
}

.pwa-install-prompt__close-icon {
  background: url("data:image/svg+xml,%3Csvg viewBox='0 0 128 128' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill='%23FFFFFF' d='M64.197,50.47C79.696,34.95 95.259,19.502 110.597,3.824C114.411,0.182 114.565,1.022 117.707,1.24C124.299,2.167 127.723,10.687 123.435,16.078C108.453,32.47 92.997,48.399 77.387,64.174C92.571,80.01 107.685,95.917 123.024,111.595C129.195,118.349 120.432,132.527 111.035,124.716C94.992,109.403 79.408,93.611 63.979,77.65C48.485,93.169 32.917,108.618 17.584,124.296C10.837,130.734 -2.411,121.031 4.747,112.042C19.728,95.65 35.179,79.716 50.795,63.945C35.605,48.11 20.491,32.198 5.157,16.525C0.085,10.976 2.912,0.586 12.267,1.24C14.069,1.491 15.723,2.227 17.141,3.404C33.184,18.717 48.768,34.509 64.197,50.47Z' /%3E%3C/svg%3E%0A") center center no-repeat;
  border: 0;
  cursor: pointer;
  bottom: 100%;
  content: "";
  display: block;
  height: 16px;
  margin: 0 0 16px;
  position: absolute;
  right: 0;
  width: 16px;
}

.pwa-install-prompt__icon__container {
  background: url("data:image/svg+xml,%3Csvg viewBox='0 0 70 70' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill='%23F0F0F0' d='M65,17C65,10.377 59.623,5 53,5L17,5C10.377,5 5,10.377 5,17L5,53C5,59.623 10.377,65 17,65L53,65C59.623,65 65,59.623 65,53L65,17Z' /%3E%3C/svg%3E%0A") center center / 70px 70px repeat-x;
  margin: 40px 0 0;
}

.pwa-install-prompt__icon {
  border-radius: 12px;
  display: block;
  margin: 0 auto;
  width: 60px;
}

.pwa-install-prompt__content {
  padding: 10px 35px;
}

.pwa-install-prompt__title {
  font-size: 24px;
  margin: 0 0 20px;
}

.pwa-install-prompt__text {
  font-size: 16px;
  line-height: 20px;
  margin: 0 0 46px;
}

.pwa-install-prompt__guide {
  align-items: center;
  display: flex;
  font-size: 12px;
  justify-content: center;
  margin: 0;
}

.pwa-install-prompt__guide__icon {
  margin: 0 2px 6px;
  width: 20px;
}

.ios__install-prompt .pwa-install-prompy__guide__icon-android {
  display: none;
}

.android__install-prompt .pwa-install-prompt__guide__icon-ios {
  display: none;
}

.android__install-prompt .pwa-install-prompy__guide__icon-android {
  margin-bottom: 0;
}

.android__install-prompt .pwa-install-prompt__icon__container {
  background-image: none;
}

.android__install-prompt .pwa-install-prompt {
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.23), 0 10px 40px rgba(0, 0, 0, 0.19);
}

.pwa-install-prompt__guide-windows {
  display: none;
}

.windows__install-prompt .pwa-install-prompt__guide {
  display: none;
}

.windows__install-prompt .pwa-install-prompt__guide-windows {
  align-items: center;
  display: flex;
  font-size: 12px;
  justify-content: center;
  margin: 0;
}

.pwa-install__button {
  visibility: hidden;
  font-size: .875rem;
  padding: 0 16px 0 16px;
  text-transform: uppercase;
  font-weight: 500;
  color: #fff;
  height: 36px;
  cursor: pointer;
  min-width: 64px;
  background-color: #6200ee;
}

.pwa-install__button-active {
  visibility: visible;
}

.pwa-install__button-active.pwa-install__button-active ~ * {
  display: none;
}
